package com.javacodegeeks.examples;

import java.util.regex.Pattern;
import java.util.regex.PatternSyntaxException;

public class CatchPatternSyntaxException {
	
	public static Pattern patternFromString(String str) {
		Pattern p = null;
		
		try {
			p = Pattern.compile(str);
			System.out.println("Pattern created: "+p.pattern());
		} catch (PatternSyntaxException ex) {
			System.out.println("This string could not compile: "+ex.getPattern());
			System.out.println(ex.getMessage());
		}
		
		return p;
	}
	
	public static void main(String[] args) {
		String question = "\\?";
		String invalid = "\\";
		
		Pattern questionPattern, invalidPattern;
		
		questionPattern = patternFromString(question);
		invalidPattern = patternFromString(invalid);
	}

}
